Skip to main content
Version: 1.15.1

Update supplier (partial update)

PATCH 

/v1/suppliers/:supplierId

Partially updates a supplier in the authenticated user's organization. All fields are optional. Fields can be updated, cleared (set to null), or left unchanged (not provided).

Update behavior:

  • Field not provided = no change to existing value
  • Field set to null = clear the field value
  • Field set to value = update to new value

Request

Responses

Supplier updated successfully

Response Headers
    X-RateLimit-Limit

    Maximum number of requests allowed in the current rate limit window for the used scope.

    X-RateLimit-Remaining

    Number of requests remaining in the current rate limit window.

    X-RateLimit-Reset

    Unix timestamp (seconds since epoch, UTC) when the rate limit window resets.

    X-RateLimit-Scope

    The OAuth scope bucket to which this rate limit applies: read or write.